GNU bug report logs - #5833
23.1.94; Opening files on network shares on w32 is slow

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Mathias Dahl <mathias.dahl@HIDDEN>; dated Sat, 3 Apr 2010 21:36:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug reassigned from package 'emacs' to 'emacs,w32'. Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 5833 <at> debbugs.gnu.org:


Received: (at 5833) by debbugs.gnu.org; 7 Apr 2010 21:01:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 07 17:01:27 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NzcNL-0005WF-25
	for submit <at> debbugs.gnu.org; Wed, 07 Apr 2010 17:01:27 -0400
Received: from mail-ew0-f218.google.com ([209.85.219.218])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <mathias.dahl@HIDDEN>) id 1NzcNI-0005W9-UE
	for 5833 <at> debbugs.gnu.org; Wed, 07 Apr 2010 17:01:25 -0400
Received: by ewy10 with SMTP id 10so690815ewy.24
	for <5833 <at> debbugs.gnu.org>; Wed, 07 Apr 2010 14:01:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:received:in-reply-to:references
	:from:date:received:message-id:subject:to:cc:content-type
	:content-transfer-encoding;
	bh=+o6f+f9xKNMbfXp5Xs2ufVkbD1erdJnEO7/KXFyi9xo=;
	b=I42HxTSeMMacaABSi7wWtsdtnPbMFOI1wpHwO7ipplVtWbG0xUyeCQ4eHxPbBju4ty
	h3JUMTuqKafsVR/jgcrQkpNo1clKhsciIHV02Z+dTzVU2/s2YEQoMrwwdNQvzl7HNp7f
	eHVTgpDlZW+HZdl4ZocZzCWsxHuNIb/uWqOV8=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	b=WyeA7F8BcIos6u6imaIwrd0oXpIGhFYb7hb/yqAkqxM+oAszHHvIz7ABwzHt1xaYRH
	Y+ePxu0CKA74pH+ZVQLWAyPp64G2HVHmJEZx/bdY8UsX5A9Ia/PeQTPdqCc7fa33JBE+
	7+otCjEQSh2PvoIElJ/9+LeKIeEbj6ACT3ewQ=
MIME-Version: 1.0
Received: by 10.213.9.129 with HTTP; Wed, 7 Apr 2010 14:00:57 -0700 (PDT)
In-Reply-To: <837hokx9aq.fsf@HIDDEN>
References: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN> 
	<8339zb21w3.fsf@HIDDEN>
	<i2s7dbe73ed1004050435mdce9f00cr807c5d1c2b31ee22@HIDDEN>
	<838w92yt7f.fsf@HIDDEN>
	<r2n7dbe73ed1004051115ldfed152u1395d81103aefa56@HIDDEN>
	<83mxxhy31s.fsf@HIDDEN>
	<i2k7dbe73ed1004060012g76ae2bf3icb2a469717fee966@HIDDEN>
	<83d3ycxx85.fsf@HIDDEN> <837hokx9aq.fsf@HIDDEN>
From: Mathias Dahl <mathias.dahl@HIDDEN>
Date: Wed, 7 Apr 2010 23:00:57 +0200
Received: by 10.213.2.79 with SMTP id 15mr2480696ebi.59.1270674077147; Wed, 07 
	Apr 2010 14:01:17 -0700 (PDT)
Message-ID: <u2p7dbe73ed1004071400v37e666a4m226e27bc0d9f287@HIDDEN>
Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 5833
Cc: 5833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.5 (--)

> Also, how is this comparable with the 7 seconds you reported
> originally? =A0This says it only takes 4 to visit a file, not 7.

I got 7 seconds in vanilla emacs -Q (no settings changed), IIRC. I
will test some more when I get the time.

/Mathias




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5833; Package emacs. Full text available.

Message received at 5833 <at> debbugs.gnu.org:


Received: (at 5833) by debbugs.gnu.org; 7 Apr 2010 02:53:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 06 22:53:33 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NzLOW-0003Vr-Od
	for submit <at> debbugs.gnu.org; Tue, 06 Apr 2010 22:53:32 -0400
Received: from mtaout21.012.net.il ([80.179.55.169])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1NzLOT-0003Vk-VS
	for 5833 <at> debbugs.gnu.org; Tue, 06 Apr 2010 22:53:31 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0L0H00300JXLVD00@HIDDEN> for
	5833 <at> debbugs.gnu.org; Wed, 07 Apr 2010 05:53:25 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.124.92.42]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L0H0011AK10O360@HIDDEN>;
	Wed, 07 Apr 2010 05:53:25 +0300 (IDT)
Date: Wed, 07 Apr 2010 05:53:33 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow
In-reply-to: <83d3ycxx85.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: mathias.dahl@HIDDEN, 5833 <at> debbugs.gnu.org
Message-id: <837hokx9aq.fsf@HIDDEN>
References: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN>
	<8339zb21w3.fsf@HIDDEN>
	<i2s7dbe73ed1004050435mdce9f00cr807c5d1c2b31ee22@HIDDEN>
	<838w92yt7f.fsf@HIDDEN>
	<r2n7dbe73ed1004051115ldfed152u1395d81103aefa56@HIDDEN>
	<83mxxhy31s.fsf@HIDDEN>
	<i2k7dbe73ed1004060012g76ae2bf3icb2a469717fee966@HIDDEN>
	<83d3ycxx85.fsf@HIDDEN>
X-Spam-Score: -1.8 (-)
X-Debbugs-Envelope-To: 5833
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.8 (-)

> Date: Tue, 06 Apr 2010 21:16:42 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 5833 <at> debbugs.gnu.org
> 
> > find-file-noselect                30          119.71899999  3.9906333333
> > find-file-noselect-1              30          84.484000000  2.8161333333
> > insert-file-contents              30          42.253        1.4084333333
> > after-find-file                   30          42.230999999  1.4076999999
> > file-exists-p                     780         34.638999999  0.0444089743
> > file-truename                     60          29.048999999  0.4841499999
> 
> Perhaps look at why we spend about 1 sec (3.99 - 2.81) inside
> find-file-noselect, and also why are we calling file-exists-p so many
> times.

Also, how is this comparable with the 7 seconds you reported
originally?  This says it only takes 4 to visit a file, not 7.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5833; Package emacs. Full text available.

Message received at 5833 <at> debbugs.gnu.org:


Received: (at 5833) by debbugs.gnu.org; 6 Apr 2010 18:17:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 06 14:17:22 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NzDL0-00049E-87
	for submit <at> debbugs.gnu.org; Tue, 06 Apr 2010 14:17:22 -0400
Received: from mtaout22.012.net.il ([80.179.55.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1NzDKx-000497-S4
	for 5833 <at> debbugs.gnu.org; Tue, 06 Apr 2010 14:17:21 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0L0G00800UL9IS00@HIDDEN> for
	5833 <at> debbugs.gnu.org; Tue, 06 Apr 2010 21:16:36 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.124.92.42]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L0G00729W3MB3A0@HIDDEN>;
	Tue, 06 Apr 2010 21:16:35 +0300 (IDT)
Date: Tue, 06 Apr 2010 21:16:42 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow
In-reply-to: <i2k7dbe73ed1004060012g76ae2bf3icb2a469717fee966@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Mathias Dahl <mathias.dahl@HIDDEN>
Message-id: <83d3ycxx85.fsf@HIDDEN>
References: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN>
	<8339zb21w3.fsf@HIDDEN>
	<i2s7dbe73ed1004050435mdce9f00cr807c5d1c2b31ee22@HIDDEN>
	<838w92yt7f.fsf@HIDDEN>
	<r2n7dbe73ed1004051115ldfed152u1395d81103aefa56@HIDDEN>
	<83mxxhy31s.fsf@HIDDEN>
	<i2k7dbe73ed1004060012g76ae2bf3icb2a469717fee966@HIDDEN>
X-Spam-Score: -1.8 (-)
X-Debbugs-Envelope-To: 5833
Cc: 5833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.8 (-)

> From: Mathias Dahl <mathias.dahl@HIDDEN>
> Date: Tue, 6 Apr 2010 09:12:40 +0200
> Cc: 5833 <at> debbugs.gnu.org
> 
> The results are very interesting:

If by ``interesting'' you mean the few large readings after the
initial one, I'd suspect some heavy network traffic at that moment
that slows down file access.  Do you have any other explanations?

> Suddenly we get relatively good results.

It means most of the time is not spent in actually reading the file,
but in something else.

> find-file-noselect                30          119.71899999  3.9906333333
> find-file-noselect-1              30          84.484000000  2.8161333333
> insert-file-contents              30          42.253        1.4084333333
> after-find-file                   30          42.230999999  1.4076999999
> file-exists-p                     780         34.638999999  0.0444089743
> file-truename                     60          29.048999999  0.4841499999

Perhaps look at why we spend about 1 sec (3.99 - 2.81) inside
find-file-noselect, and also why are we calling file-exists-p so many
times.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5833; Package emacs. Full text available.

Message received at 5833 <at> debbugs.gnu.org:


Received: (at 5833) by debbugs.gnu.org; 6 Apr 2010 08:16:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 06 04:16:00 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Nz3x2-0006xy-Er
	for submit <at> debbugs.gnu.org; Tue, 06 Apr 2010 04:16:00 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rudalics@HIDDEN>) id 1Nz3wz-0006xs-6w
	for 5833 <at> debbugs.gnu.org; Tue, 06 Apr 2010 04:15:58 -0400
Received: (qmail invoked by alias); 06 Apr 2010 08:15:52 -0000
Received: from 62-47-41-75.adsl.highway.telekom.at (EHLO [62.47.41.75])
	[62.47.41.75]
	by mail.gmx.net (mp021) with SMTP; 06 Apr 2010 10:15:52 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+Z41N191qZi5DxoSapRC7pGEslp0qXoW6lF+aj6x
	k0Uyroc20kQ7lH
Message-ID: <4BBAEDB4.3080609@HIDDEN>
Date: Tue, 06 Apr 2010 10:15:48 +0200
From: martin rudalics <rudalics@HIDDEN>
User-Agent: Thunderbird 2.0.0.21 (Windows/20090302)
MIME-Version: 1.0
To: Mathias Dahl <mathias.dahl@HIDDEN>
Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow
References: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN>
	<8339zb21w3.fsf@HIDDEN>	<i2s7dbe73ed1004050435mdce9f00cr807c5d1c2b31ee22@HIDDEN>	<838w92yt7f.fsf@HIDDEN>	<r2n7dbe73ed1004051115ldfed152u1395d81103aefa56@HIDDEN>	<83mxxhy31s.fsf@HIDDEN>
	<i2k7dbe73ed1004060012g76ae2bf3icb2a469717fee966@HIDDEN>
In-Reply-To: <i2k7dbe73ed1004060012g76ae2bf3icb2a469717fee966@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-FuHaFi: 0.84999999999999998
X-Spam-Score: -1.8 (-)
X-Debbugs-Envelope-To: 5833
Cc: Eli Zaretskii <eliz@HIDDEN>, 5833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.5 (--)

> after-find-file                   30          42.230999999  1.4076999999

Does it sit-for in this?

martin





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5833; Package emacs. Full text available.

Message received at 5833 <at> debbugs.gnu.org:


Received: (at 5833) by debbugs.gnu.org; 6 Apr 2010 07:13:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 06 03:13:06 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Nz2y9-00067J-QG
	for submit <at> debbugs.gnu.org; Tue, 06 Apr 2010 03:13:06 -0400
Received: from mail-ew0-f209.google.com ([209.85.219.209])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <mathias.dahl@HIDDEN>) id 1Nz2y7-00066i-Mn
	for 5833 <at> debbugs.gnu.org; Tue, 06 Apr 2010 03:13:04 -0400
Received: by ewy1 with SMTP id 1so837549ewy.15
	for <5833 <at> debbugs.gnu.org>; Tue, 06 Apr 2010 00:13:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:received:in-reply-to:references
	:from:date:received:message-id:subject:to:cc:content-type
	:content-transfer-encoding;
	bh=HG5vrL6zAwc/esQq3Tra9O/kwwfQRqf7TzxN8tueWf4=;
	b=v62Q6HVPDIl2/qphk/K5EjCddfYX4ZfDQ82vSxgvs9xN1c9ZPkHE8+uo8PXLNsVeLc
	KUm40BdGjmrG5XVU+0+gt6fB0YqWOd+2vwZvqDb4vUBYeVEaMu7Vay9qlV73iuE3u3Pu
	PrLRX+zmZT1ZlDsmBoefdwQM+tUD22lsAYIEw=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	b=lUR2MSUMkZMAIw+KUPz8i7aKdpMa6DD974+LeWUclVMt4TOIRtVQLklTpfgM++eU/r
	xMwdhM9WefcFxoxwsJRWbRwXlS49KW3njhjXkie+GT0MqzsZ3Mo+9T/eGQ/OlB+7ANgZ
	AlYE79DOb4A3yVXJOAsRX2le1FQClvHJZrnsY=
MIME-Version: 1.0
Received: by 10.213.9.129 with HTTP; Tue, 6 Apr 2010 00:12:40 -0700 (PDT)
In-Reply-To: <83mxxhy31s.fsf@HIDDEN>
References: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN> 
	<8339zb21w3.fsf@HIDDEN>
	<i2s7dbe73ed1004050435mdce9f00cr807c5d1c2b31ee22@HIDDEN>
	<838w92yt7f.fsf@HIDDEN>
	<r2n7dbe73ed1004051115ldfed152u1395d81103aefa56@HIDDEN>
	<83mxxhy31s.fsf@HIDDEN>
From: Mathias Dahl <mathias.dahl@HIDDEN>
Date: Tue, 6 Apr 2010 09:12:40 +0200
Received: by 10.213.90.204 with SMTP id j12mr3696617ebm.27.1270537980106; Tue, 
	06 Apr 2010 00:13:00 -0700 (PDT)
Message-ID: <i2k7dbe73ed1004060012g76ae2bf3icb2a469717fee966@HIDDEN>
Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 5833
Cc: 5833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.5 (--)

> That's strange: I thought they would slash much more.
>
> How about insert-file-contents and insert-file-contents-literally --
> can you time those?

I changed the measure function to this:

(defun measure ()
  (dotimes (i 10)
    (let ((time1 (float-time))
	  time2)
      (with-temp-buffer
	(insert-file-contents
"//corpnet/files/Archive/Archive75/docman/core/docman
5.11.0/docman/database/docman/refobj.apy"))
      (setq time2 (float-time))
      (message "Time elapsed for insert-file-contents: %s" (- time2 time1))=
)))

The results are very interesting:

emacs -Q
Time elapsed for insert-file-contents: 3.5160000324249268
Time elapsed for insert-file-contents: 0.6719999313354492
Time elapsed for insert-file-contents: 0.6410000324249268
Time elapsed for insert-file-contents: 0.6559998989105225
Time elapsed for insert-file-contents: 0.6089999675750732
Time elapsed for insert-file-contents: 0.6410000324249268
Time elapsed for insert-file-contents: 0.687000036239624
Time elapsed for insert-file-contents: 0.6719999313354492
Time elapsed for insert-file-contents: 0.5940001010894775
Time elapsed for insert-file-contents: 0.9689998626708984
(setq vc-handled-backends nil)
Time elapsed for insert-file-contents: 0.687000036239624
Time elapsed for insert-file-contents: 0.6100001335144043
Time elapsed for insert-file-contents: 0.6089999675750732 [2 times]
Time elapsed for insert-file-contents: 0.5940001010894775
Time elapsed for insert-file-contents: 2.984999895095825
Time elapsed for insert-file-contents: 0.7030000686645508
Time elapsed for insert-file-contents: 1.2339999675750732
Time elapsed for insert-file-contents: 0.625
Time elapsed for insert-file-contents: 0.6099998950958252
(setq locate-dominating-stop-dir-regexp "")
Time elapsed for insert-file-contents: 0.6089999675750732
Time elapsed for insert-file-contents: 0.625
Time elapsed for insert-file-contents: 0.6410000324249268
Time elapsed for insert-file-contents: 0.5930001735687256
Time elapsed for insert-file-contents: 0.5939998626708984
Time elapsed for insert-file-contents: 1.0160000324249268
Time elapsed for insert-file-contents: 0.6719999313354492
Time elapsed for insert-file-contents: 0.625
Time elapsed for insert-file-contents: 0.6089999675750732
Time elapsed for insert-file-contents: 0.6090002059936523

(This is for the larger of the two files)

Suddenly we get relatively good results.

> Another idea is to use elp.el to profile the various functions called
> by find-file. =A0At least for the Lisp level, we will see where's the
> bottleneck, and that might give some ideas.

This is my first attempt at using elp.el so I might not know what I am
doing :) I sucked out all function calls in find-file-noselect and got
this:

find-file-noselect                30          122.34599999  4.0782
find-file-noselect-1              30          85.545000000  2.8515000000
file-exists-p                     780         35.546999999  0.0455730769
file-truename                     63          30.012999999  0.4763968253
find-buffer-visiting              30          16.72         0.5573333333
file-attributes                   60          3.9890000000  0.0664833333
file-directory-p                  31          2.7210000000  0.0877741935
mapcar                            31          2.1270000000  0.0686129032
string-match                      8867        0.125         1.40...e-005
message                           35          0.031         0.0008857142
expand-file-name                  842         0.016         1.90...e-005
...

Digging further, instrumenting all functions in find-file-noselect-1
as well (the ones instrumented earlier is still instrumented):

find-file-noselect                30          119.71899999  3.9906333333
find-file-noselect-1              30          84.484000000  2.8161333333
insert-file-contents              30          42.253        1.4084333333
after-find-file                   30          42.230999999  1.4076999999
file-exists-p                     780         34.638999999  0.0444089743
file-truename                     60          29.048999999  0.4841499999
funcall                           40          21.326999999  0.533175
find-buffer-visiting              30          16.000999999  0.5333666666
file-attributes                   60          4.0619999999  0.0677
file-directory-p                  30          2.124         0.0708
mapcar                            25          2.045         0.0818
file-readable-p                   48          0.5800000000  0.0120833333
string-match                      8798        0.08          9.09...e-006
message                           33          0.064         0.0019393939
file-name-directory               890         0.048         5.39...e-005
expand-file-name                  841         0.0310000000  3.68...e-005
abbreviate-file-name              172         0.015         8.72...e-005
...

Does any figure above stand out to you?

/Mathias




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5833; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Apr 2010 00:46:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 05 20:46:34 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Nyww5-0003sr-OK
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2010 20:46:33 -0400
Received: from mail.gnu.org ([199.232.76.166] helo=mx10.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1Nyww3-0003sm-Py
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2010 20:46:32 -0400
Received: from lists.gnu.org ([199.232.76.165]:40192)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <monnier@HIDDEN>) id 1Nywvz-0007kT-U6
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2010 20:46:27 -0400
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1Nywvz-0007fa-Ah
	for bug-gnu-emacs@HIDDEN; Mon, 05 Apr 2010 20:46:27 -0400
Received: from [140.186.70.92] (port=51736 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1Nywvx-0007ex-KV
	for bug-gnu-emacs@HIDDEN; Mon, 05 Apr 2010 20:46:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.0 (2010-01-18) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.0
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1Nywvv-0000pT-S6
	for bug-gnu-emacs@HIDDEN; Mon, 05 Apr 2010 20:46:25 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.183]:8742
	helo=ironport2-out.pppoe.ca) by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1Nywvu-0000pC-HH
	for bug-gnu-emacs@HIDDEN; Mon, 05 Apr 2010 20:46:23 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AvsEACYhukvO+K6K/2dsb2JhbACbTHK4V4UHBIsq
X-IronPort-AV: E=Sophos;i="4.51,368,1267419600"; d="scan'208";a="60261566"
Received: from 206-248-174-138.dsl.teksavvy.com (HELO pastel.home)
	([206.248.174.138])
	by ironport2-out.pppoe.ca with ESMTP; 05 Apr 2010 20:46:21 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 29E088053; Mon,  5 Apr 2010 20:46:21 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Jason Rumney <jasonr@HIDDEN>
Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow
Message-ID: <jwvochxflx9.fsf-monnier+emacs@HIDDEN>
References: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN>
	<8339zb21w3.fsf@HIDDEN>
	<i2s7dbe73ed1004050435mdce9f00cr807c5d1c2b31ee22@HIDDEN>
	<838w92yt7f.fsf@HIDDEN>
	<r2n7dbe73ed1004051115ldfed152u1395d81103aefa56@HIDDEN>
	<jwvsk791wxr.fsf-monnier+emacs@HIDDEN> <4BBA7C66.4090904@HIDDEN>
Date: Mon, 05 Apr 2010 20:46:21 -0400
In-Reply-To: <4BBA7C66.4090904@HIDDEN> (Jason Rumney's message of "Tue, 06
	Apr 2010 08:12:22 +0800")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.1 (----)

>>>> (setq locate-dominating-stop-dir-regexp "")
>>> That maybe shaves off half a second.
>> Hmm... odd.  That seemed like a pretty good guess
>> (locate-dominating-file tends to suffer from such performance problems
>> in some cases, and vc-handled-backends is one user of this function,
>> and dir-locals is another, so setting locate-dominating-stop-dir-regexp
>> should really kill it off).
> I think it odd that it shaved time off rather than made things much worse.

The "" regexp always matches, so it will cause locate-dominating-file to
stop at the first occasion.


        Stefan






Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5833; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Apr 2010 00:16:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 05 20:16:48 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NywTI-0003g6-7u
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2010 20:16:48 -0400
Received: from mail.gnu.org ([199.232.76.166] helo=mx10.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jasonrumney@HIDDEN>) id 1NywPy-0003eJ-IZ
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2010 20:13:22 -0400
Received: from lists.gnu.org ([199.232.76.165]:44196)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <jasonrumney@HIDDEN>) id 1NywPu-0006sD-KU
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2010 20:13:18 -0400
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1NywPt-0007og-Uw
	for bug-gnu-emacs@HIDDEN; Mon, 05 Apr 2010 20:13:17 -0400
Received: from [140.186.70.92] (port=38951 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1NywPr-0007oB-NT
	for bug-gnu-emacs@HIDDEN; Mon, 05 Apr 2010 20:13:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.0 (2010-01-18) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.1 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_NONE, RCVD_IN_SORBS_WEB, T_DKIM_INVALID,
	T_TO_NO_BRKTS_FREEMAIL autolearn=no version=3.3.0
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <jasonrumney@HIDDEN>) id 1NywPq-0005uq-AI
	for bug-gnu-emacs@HIDDEN; Mon, 05 Apr 2010 20:13:15 -0400
Received: from mail-yx0-f176.google.com ([209.85.210.176]:46842)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jasonrumney@HIDDEN>) id 1NywPq-0005ud-73
	for bug-gnu-emacs@HIDDEN; Mon, 05 Apr 2010 20:13:14 -0400
Received: by yxe6 with SMTP id 6so1110881yxe.27
	for <bug-gnu-emacs@HIDDEN>; Mon, 05 Apr 2010 17:13:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:sender:message-id:date:from
	:user-agent:mime-version:to:subject:references:in-reply-to
	:content-type:content-transfer-encoding;
	bh=Ifzf3IKBzKhH30ovfvrI7Q3+5pOUbL142+22U7LlLBM=;
	b=ItR3Pe7lLi/fpQmUBCVDEczOoSoh31GVM3+T4LVbh33L1/629+NNyNWKTg5URciEIt
	IN5mNab4cIaIImjLHkzXBK03UVP9tp05URZLjJkn4ZmyT8VFHs2ldAKTkJvXY+VgRTox
	jWR4VCKgbPpyMR32CpLXBf2mBjnNM/EtVcqNo=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=sender:message-id:date:from:user-agent:mime-version:to:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	b=HLH8Umjek2lJAjZnnx7q2IudzCpbqKcqFWdyEcDVwiuc4ySOg9oQy1DU2EszFheSq3
	WWZJ41XaLSIULpnxySJxZbvvTpGBihyIRJANvpqG5QsYHEdXiLoinC8cFSMH3mB+ZXmd
	lTY0HxrBsHlbIO/g4AV8ziOwth8pA2P7JkSoU=
Received: by 10.101.184.12 with SMTP id l12mr14753549anp.81.1270512791738;
	Mon, 05 Apr 2010 17:13:11 -0700 (PDT)
Received: from [10.1.1.54] ([61.4.103.130])
	by mx.google.com with ESMTPS id 14sm8552894gxk.15.2010.04.05.17.13.08
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Mon, 05 Apr 2010 17:13:10 -0700 (PDT)
Message-ID: <4BBA7C66.4090904@HIDDEN>
Date: Tue, 06 Apr 2010 08:12:22 +0800
From: Jason Rumney <jasonr@HIDDEN>
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US;
	rv:1.9.1.7) Gecko/20100111 Lightning/1.0b1 Thunderbird/3.0.1
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow
References: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN>	<8339zb21w3.fsf@HIDDEN>	<i2s7dbe73ed1004050435mdce9f00cr807c5d1c2b31ee22@HIDDEN>	<838w92yt7f.fsf@HIDDEN>	<r2n7dbe73ed1004051115ldfed152u1395d81103aefa56@HIDDEN>
	<jwvsk791wxr.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwvsk791wxr.fsf-monnier+emacs@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -5.3 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 05 Apr 2010 20:16:47 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.3 (-----)

On 06/04/2010 04:15, Stefan Monnier wrote:
>>>   (setq locate-dominating-stop-dir-regexp "")
>>>        
>> That maybe shaves off half a second.
>>      
> Hmm... odd.  That seemed like a pretty good guess
> (locate-dominating-file tends to suffer from such performance problems
> in some cases, and vc-handled-backends is one user of this function,
> and dir-locals is another, so setting locate-dominating-stop-dir-regexp
> should really kill it off).
>    

I think it odd that it shaved time off rather than made things much 
worse.  One of the reasons for this variable is that when Windows tries 
to locate all the siblings of //machine, and in some cases 
//machine/share (where the user only has access to some shares), the 
process takes a long time. Perhaps the original value is incorrect?






Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5833; Package emacs. Full text available.

Message received at 5833 <at> debbugs.gnu.org:


Received: (at 5833) by debbugs.gnu.org; 5 Apr 2010 21:58:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 05 17:58:43 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NyuJf-0002tt-LF
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2010 17:58:43 -0400
Received: from mtaout20.012.net.il ([80.179.55.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1NyuJd-0002tn-AX
	for 5833 <at> debbugs.gnu.org; Mon, 05 Apr 2010 17:58:42 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0L0F00900BJQPV00@HIDDEN> for
	5833 <at> debbugs.gnu.org; Tue, 06 Apr 2010 00:58:35 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.124.92.42]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L0F0042UBPJ01E0@HIDDEN>;
	Tue, 06 Apr 2010 00:58:32 +0300 (IDT)
Date: Tue, 06 Apr 2010 00:58:39 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow
In-reply-to: <r2n7dbe73ed1004051115ldfed152u1395d81103aefa56@HIDDEN>
To: Mathias Dahl <mathias.dahl@HIDDEN>
Message-id: <83mxxhy31s.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: QUOTED-PRINTABLE
X-012-Sender: halo1@HIDDEN
References: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN>
	<8339zb21w3.fsf@HIDDEN>
	<i2s7dbe73ed1004050435mdce9f00cr807c5d1c2b31ee22@HIDDEN>
	<838w92yt7f.fsf@HIDDEN>
	<r2n7dbe73ed1004051115ldfed152u1395d81103aefa56@HIDDEN>
X-Spam-Score: -1.8 (-)
X-Debbugs-Envelope-To: 5833
Cc: 5833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.8 (-)

> From: Mathias Dahl <mathias.dahl@HIDDEN>
> Date: Mon, 5 Apr 2010 20:15:47 +0200
> Cc: 5833 <at> debbugs.gnu.org
>=20
> > Btw, is "C-x C-f" faster than Dired, by any chance?
>=20
> No, at least not enough to be measured with a stop watch.
>=20
> > Can you tell if setting the following variables has any effect?
> >
> > =A0(setq vc-handled-backends nil)
>=20
> From having taken close to 8 seconds (tried repeatedly), after this
> change it takes almost 6, so 2 s better. Still a long time, but
> better.
>=20
> > =A0(setq locate-dominating-stop-dir-regexp "")
>=20
> That maybe shaves off half a second. Again, hard to done any
> scientific tests using a physical stop watch.

That's strange: I thought they would slash much more.

How about insert-file-contents and insert-file-contents-literally --
can you time those?

Another idea is to use elp.el to profile the various functions called
by find-file.  At least for the Lisp level, we will see where's the
bottleneck, and that might give some ideas.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5833; Package emacs. Full text available.

Message received at 5833 <at> debbugs.gnu.org:


Received: (at 5833) by debbugs.gnu.org; 5 Apr 2010 21:04:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 05 17:04:23 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NytT5-0002bY-7W
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2010 17:04:23 -0400
Received: from mail-ew0-f209.google.com ([209.85.219.209])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <mathias.dahl@HIDDEN>) id 1NytT3-0002bT-3s
	for 5833 <at> debbugs.gnu.org; Mon, 05 Apr 2010 17:04:21 -0400
Received: by ewy1 with SMTP id 1so677014ewy.15
	for <5833 <at> debbugs.gnu.org>; Mon, 05 Apr 2010 14:04:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:received:in-reply-to:references
	:from:date:received:message-id:subject:to:cc:content-type
	:content-transfer-encoding;
	bh=f3/EgJplVE2sAe34ft92cUjAts7REfIQz64SzKe3z3g=;
	b=mrHl/egeM20jLFDQ3eYzwPsDm9uZ2xksIPb7LI1BfFXZPYHPbwdrd3vbqaKaUT4THQ
	IjulhlDoGTReFPlpLsdmppptORfCtmlo4AADqrqiLrg7jb9H9C3uZ+roVdcOtlxatsdL
	yhEdavN8C1Afw6LLMcjBbEet8ydAYTd/g2EPk=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	b=X4xrSey5VBTWLsO2opfnh8DjOPY/Y6cjo5fjQeKpBXDsQ5CeYC1AMYlqMKCU51pynR
	Oxti70MzCJ1Eqp4Wmuo8xZ7WVwde57CDNB1CuO8fU+asqqSBaZJ9LN6eJ2DIiWljAvpQ
	gaV9W2uCENJf5LIkirB4H3cDGDYcvDQnoPjTU=
MIME-Version: 1.0
Received: by 10.213.9.129 with HTTP; Mon, 5 Apr 2010 14:03:55 -0700 (PDT)
In-Reply-To: <jwvsk791wxr.fsf-monnier+emacs@HIDDEN>
References: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN> 
	<8339zb21w3.fsf@HIDDEN>
	<i2s7dbe73ed1004050435mdce9f00cr807c5d1c2b31ee22@HIDDEN>
	<838w92yt7f.fsf@HIDDEN>
	<r2n7dbe73ed1004051115ldfed152u1395d81103aefa56@HIDDEN>
	<jwvsk791wxr.fsf-monnier+emacs@HIDDEN>
From: Mathias Dahl <mathias.dahl@HIDDEN>
Date: Mon, 5 Apr 2010 23:03:55 +0200
Received: by 10.213.97.24 with SMTP id j24mr3178259ebn.48.1270501455843; Mon, 
	05 Apr 2010 14:04:15 -0700 (PDT)
Message-ID: <q2h7dbe73ed1004051403t1db41b13q4a46506d89b2d747@HIDDEN>
Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 5833
Cc: Eli Zaretskii <eliz@HIDDEN>, 5833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.4 (--)

> That's OK. =A0When we find the culprit, it should bring the time down to
> something significantly lower: no need for a stopwatch.

Instead of using my stop watch I wrote a small elisp program (slow.el)
to measure the time for me:

(defun measure ()
  (dotimes (i 10)
    (let ((time1 (float-time))
	  time2)
      (find-file "//corpnet/files/Archive/Archive75/docman/core/docman
5.11.0/docman/database/docman/index.cre")
      (setq time2 (float-time))
      (kill-buffer)
      (message "Time elapsed: %s" (- time2 time1)))))

(message "emacs -Q")
(measure)
(message "(setq vc-handled-backends nil)")
(setq vc-handled-backends nil)
(measure)
(message "(setq locate-dominating-stop-dir-regexp \"\")")
(setq locate-dominating-stop-dir-regexp "")
(measure)

I started Emacs with -Q -l slow.el

These are the results:

emacs -Q
Time elapsed: 7.5309998989105225
Time elapsed: 5.156000137329102
Time elapsed: 7.266000032424927
Time elapsed: 4.641000032424927
Time elapsed: 4.952999830245972
Time elapsed: 7.391000032424927
Time elapsed: 4.75
Time elapsed: 4.828000068664551
Time elapsed: 7.25
Time elapsed: 4.687000036239624
(setq vc-handled-backends nil)
Time elapsed: 2.7659997940063477
Time elapsed: 5.125
Time elapsed: 2.4690001010894775
Time elapsed: 2.4839999675750732
Time elapsed: 2.7350001335144043
Time elapsed: 4.7809998989105225
Time elapsed: 2.8589999675750732
Time elapsed: 2.5160000324249268
Time elapsed: 2.6089999675750732
Time elapsed: 5.266000032424927
(setq locate-dominating-stop-dir-regexp "")
Time elapsed: 2.187999963760376
Time elapsed: 1.937000036239624
Time elapsed: 1.9219999313354492
Time elapsed: 2.0160000324249268
Time elapsed: 4.5
Time elapsed: 1.9060001373291016
Time elapsed: 2.0159997940063477
Time elapsed: 2.078000068664551
Time elapsed: 1.9060001373291016
Time elapsed: 1.9059998989105225

The file to open is 801 bytes in size.

No result is as bad as when I do RET in Dired, but maybe that is
natural (maybe Emacs skips the redisplay). Right after the test above
I did that and got the times 5, 5, 3, 5, 5 and 5 seconds,
respectively. I again tested a few times with C-x C-f but there was no
difference.

The same test with another file in the same dir that has the size
113226 gives these results:

emacs -Q
Time elapsed: 7.578000068664551
Time elapsed: 5.141000032424927
Time elapsed: 5.014999866485596
Time elapsed: 7.391000032424927
Time elapsed: 4.812999963760376
Time elapsed: 5.062000036239624
Time elapsed: 7.812999963760376
Time elapsed: 4.733999967575073
Time elapsed: 7.375
Time elapsed: 5.937999963760376
(setq vc-handled-backends nil)
Time elapsed: 5.234000205993652
Time elapsed: 2.671999931335449
Time elapsed: 2.578000068664551
Time elapsed: 2.8439998626708984
Time elapsed: 5.046999931335449
Time elapsed: 2.7660000324249268
Time elapsed: 3.015000104904175
Time elapsed: 2.671999931335449
Time elapsed: 5.141000032424927
Time elapsed: 2.578000068664551
(setq locate-dominating-stop-dir-regexp "")
Time elapsed: 2.062999963760376
Time elapsed: 2.0149998664855957
Time elapsed: 2.2350001335144043
Time elapsed: 4.796999931335449
Time elapsed: 2.1089999675750732
Time elapsed: 2.125
Time elapsed: 2.0
Time elapsed: 2.0470001697540283
Time elapsed: 4.483999967575073
Time elapsed: 2.296999931335449

Slower but not in relation to the file size.

Anyway, maybe the numbers will say something to you.

/Mathias




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5833; Package emacs. Full text available.

Message received at 5833 <at> debbugs.gnu.org:


Received: (at 5833) by debbugs.gnu.org; 5 Apr 2010 20:15:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 05 16:15:20 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Nyshb-0002Ie-TG
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2010 16:15:20 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.183]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1Nysha-0002IZ-Qg
	for 5833 <at> debbugs.gnu.org; Mon, 05 Apr 2010 16:15:19 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AvsEAN7huUvO+K6K/2dsb2JhbACbTHK3SYUHBIsq
X-IronPort-AV: E=Sophos;i="4.51,366,1267419600"; d="scan'208";a="60249655"
Received: from 206-248-174-138.dsl.teksavvy.com (HELO ceviche.home)
	([206.248.174.138])
	by ironport2-out.pppoe.ca with ESMTP; 05 Apr 2010 16:15:14 -0400
Received: by ceviche.home (Postfix, from userid 20848)
	id 48F2C660BF; Mon,  5 Apr 2010 16:15:14 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Mathias Dahl <mathias.dahl@HIDDEN>
Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow
Message-ID: <jwvsk791wxr.fsf-monnier+emacs@HIDDEN>
References: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN>
	<8339zb21w3.fsf@HIDDEN>
	<i2s7dbe73ed1004050435mdce9f00cr807c5d1c2b31ee22@HIDDEN>
	<838w92yt7f.fsf@HIDDEN>
	<r2n7dbe73ed1004051115ldfed152u1395d81103aefa56@HIDDEN>
Date: Mon, 05 Apr 2010 16:15:14 -0400
In-Reply-To: <r2n7dbe73ed1004051115ldfed152u1395d81103aefa56@HIDDEN>
	(Mathias Dahl's message of "Mon, 5 Apr 2010 20:15:47 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 5833
Cc: Eli Zaretskii <eliz@HIDDEN>, 5833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

>> =A0(setq locate-dominating-stop-dir-regexp "")
> That maybe shaves off half a second.

Hmm... odd.  That seemed like a pretty good guess
(locate-dominating-file tends to suffer from such performance problems
in some cases, and vc-handled-backends is one user of this function,
and dir-locals is another, so setting locate-dominating-stop-dir-regexp
should really kill it off).

> Again, hard to done any scientific tests using a physical stop watch.

That's OK.  When we find the culprit, it should bring the time down to
something significantly lower: no need for a stopwatch.


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5833; Package emacs. Full text available.

Message received at 5833 <at> debbugs.gnu.org:


Received: (at 5833) by debbugs.gnu.org; 5 Apr 2010 18:16:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 05 14:16:14 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NyqqM-0001c5-H0
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2010 14:16:14 -0400
Received: from mail-ew0-f209.google.com ([209.85.219.209])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <mathias.dahl@HIDDEN>) id 1NyqqK-0001by-GN
	for 5833 <at> debbugs.gnu.org; Mon, 05 Apr 2010 14:16:13 -0400
Received: by ewy1 with SMTP id 1so612458ewy.15
	for <5833 <at> debbugs.gnu.org>; Mon, 05 Apr 2010 11:16:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:received:in-reply-to:references
	:from:date:received:message-id:subject:to:cc:content-type
	:content-transfer-encoding;
	bh=Tp6YePHD34xP3OZh5cDDAQFnzHG/as22P/Lkuux274g=;
	b=hu8+MuoafGriDEDsV/f3O02OQHgH3mwzxOZ76edoeAwRR1wgOic838Sq6wlTGTUnJx
	XiuqZMFz2D8W+AFxnFzwyFi9ToG3So6fRNIsZ4dC8S9Js2IpSDk0Ggp+tB3jOZKg+SEm
	zZzepS9nFi2XaXhqAuxcD2KYHI98UgUOk4/DI=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	b=cPsVwBK5JKy4rHr8LOjQonXff3RhE+TgWZB0dD45MAkmxRgjJbTzwR8Vc3fwQ6TTzu
	DewPBL2bLG33TOPfRC+XF8jlVI8Jwq9tRpPt0aUkItFOMPdkjx3LqAYtEtnxGj6AfYOh
	5b8crmihTnOT6Wj9HFxXo8/9Pp/PApO7g3XWA=
MIME-Version: 1.0
Received: by 10.213.9.129 with HTTP; Mon, 5 Apr 2010 11:15:47 -0700 (PDT)
In-Reply-To: <838w92yt7f.fsf@HIDDEN>
References: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN> 
	<8339zb21w3.fsf@HIDDEN>
	<i2s7dbe73ed1004050435mdce9f00cr807c5d1c2b31ee22@HIDDEN>
	<838w92yt7f.fsf@HIDDEN>
From: Mathias Dahl <mathias.dahl@HIDDEN>
Date: Mon, 5 Apr 2010 20:15:47 +0200
Received: by 10.213.42.73 with SMTP id r9mr1642226ebe.40.1270491367207; Mon, 
	05 Apr 2010 11:16:07 -0700 (PDT)
Message-ID: <r2n7dbe73ed1004051115ldfed152u1395d81103aefa56@HIDDEN>
Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 5833
Cc: 5833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> 7 seconds is an eternity for such small files.

I know :)

> Btw, is "C-x C-f" faster than Dired, by any chance?

No, at least not enough to be measured with a stop watch.

> Can you tell if setting the following variables has any effect?
>
> =A0(setq vc-handled-backends nil)

From having taken close to 8 seconds (tried repeatedly), after this
change it takes almost 6, so 2 s better. Still a long time, but
better.

> =A0(setq locate-dominating-stop-dir-regexp "")

That maybe shaves off half a second. Again, hard to done any
scientific tests using a physical stop watch.

/Mathias




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5833; Package emacs. Full text available.

Message received at 5833 <at> debbugs.gnu.org:


Received: (at 5833) by debbugs.gnu.org; 5 Apr 2010 12:34:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 05 08:34:21 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NylVU-0007sv-Tm
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2010 08:34:21 -0400
Received: from mtaout20.012.net.il ([80.179.55.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1NylVS-0007sq-Ud
	for 5833 <at> debbugs.gnu.org; Mon, 05 Apr 2010 08:34:20 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0L0E00C00KVSSA00@HIDDEN> for
	5833 <at> debbugs.gnu.org; Mon, 05 Apr 2010 15:33:34 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.124.92.42]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L0E0072FLJX4ZG0@HIDDEN>;
	Mon, 05 Apr 2010 15:33:34 +0300 (IDT)
Date: Mon, 05 Apr 2010 15:33:40 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow
In-reply-to: <i2s7dbe73ed1004050435mdce9f00cr807c5d1c2b31ee22@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Mathias Dahl <mathias.dahl@HIDDEN>
Message-id: <838w92yt7f.fsf@HIDDEN>
References: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN>
	<8339zb21w3.fsf@HIDDEN>
	<i2s7dbe73ed1004050435mdce9f00cr807c5d1c2b31ee22@HIDDEN>
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 5833
Cc: 5833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.8 (-)

> From: Mathias Dahl <mathias.dahl@HIDDEN>
> Date: Mon, 5 Apr 2010 13:35:44 +0200
> Cc: 5833 <at> debbugs.gnu.org
> 
> Just now I tested this scenario in the latest pretest: I opened (from
> Dired) a file only 800 bytes in size. It took 7 seconds. I then opened
> another file, over 100 000 bytes and that also took 7 seconds. Opening
> the larger of the files in Notepad takes just above a second.

7 seconds is an eternity for such small files.

Btw, is "C-x C-f" faster than Dired, by any chance?

> If there are any other tests I can do, please let me know.

Can you tell if setting the following variables has any effect?

  (setq vc-handled-backends nil)
  (setq locate-dominating-stop-dir-regexp "")

(Please try them one by one, in that order.)




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5833; Package emacs. Full text available.

Message received at 5833 <at> debbugs.gnu.org:


Received: (at 5833) by debbugs.gnu.org; 5 Apr 2010 12:06:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 05 08:06:23 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Nyl4Q-0007iQ-C2
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2010 08:06:22 -0400
Received: from mail-wy0-f172.google.com ([74.125.82.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <mathias.dahl@HIDDEN>) id 1NykbC-0007Xt-Qa
	for 5833 <at> debbugs.gnu.org; Mon, 05 Apr 2010 07:36:11 -0400
Received: by wyb29 with SMTP id 29so1523968wyb.3
	for <5833 <at> debbugs.gnu.org>; Mon, 05 Apr 2010 04:36:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:received:in-reply-to:references
	:from:date:received:message-id:subject:to:cc:content-type
	:content-transfer-encoding;
	bh=dWMqff+YJ06KfCLHP49kEkjltPE+cSaK6JoWmbwNFhw=;
	b=BBQjKuESDyqpwaP8Guib74oWufP9CGAsUl3tbxnyd3Q+7tGtKINZUqSRRFHf2HPnKM
	7A8llNVDLNuHfEGehbVi0NF7/M59d7/sM/SbvQAWHgugspre71Hch7XZcwSz7DG5ilnE
	KZC3+hnX0oKb4566cKc/QgK3UfOB89eEvn/V0=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	b=RVXn4XaUOKtIDLDQeXQ3nMa1AT/8NIIuBsj7xcD/hVNRGL0wpkP0L1GPMfBb0T2UUR
	UU96mJgNJ/d1vALjHYCNdT8cNf9KiiiEAiA/Uz29cmlYdq8jpHFbI6rqOlguMNyceO4m
	0+DrU9nwaEcG3U98FcZs0b2CEsfevR8c1UqKE=
MIME-Version: 1.0
Received: by 10.216.171.139 with HTTP; Mon, 5 Apr 2010 04:35:44 -0700 (PDT)
In-Reply-To: <8339zb21w3.fsf@HIDDEN>
References: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN> 
	<8339zb21w3.fsf@HIDDEN>
From: Mathias Dahl <mathias.dahl@HIDDEN>
Date: Mon, 5 Apr 2010 13:35:44 +0200
Received: by 10.216.155.196 with SMTP id j46mr3227979wek.1.1270467364259; Mon, 
	05 Apr 2010 04:36:04 -0700 (PDT)
Message-ID: <i2s7dbe73ed1004050435mdce9f00cr807c5d1c2b31ee22@HIDDEN>
Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 5833
X-Mailman-Approved-At: Mon, 05 Apr 2010 08:06:20 -0400
Cc: 5833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.9 (--)

Hi, Eli, thanks for looking into this!

> Does it help to set w32-get-true-file-attributes to a nil value?

No.

> Also, is this a regression in the last pretest? =A0IOW, when was the
> last time you tried visiting files on that remote file system and it
> was much faster than what you see now with 23.1.94?

As far as I can see this has been slow for quite a while. I have
recently reinstalled my PC so I don't have the old versions with me. I
downloaded 22.3 and it was even slower.

Last year (I think it was) I reported a similar issue, which was
fixed. That performance issue could be worked around by setting the
variable above. That problem was even worse though.

The reason I have noticed this at all is that one of our servers has
moved to another office lately, so the network of course plays a role
in this. However, there is still the question what Emacs does that
Notepad don't (well, I know, a lot, but computers are fast nowadays)
that makes for the difference in opening files on shares (it could be
a problem locally as well but maybe it is so fast that I don't
notice).

Just now I tested this scenario in the latest pretest: I opened (from
Dired) a file only 800 bytes in size. It took 7 seconds. I then opened
another file, over 100 000 bytes and that also took 7 seconds. Opening
the larger of the files in Notepad takes just above a second.

If there are any other tests I can do, please let me know. I currently
don't have a way to compile the source myself on w32, just so that you
know.

Thanks!

/Mathias




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5833; Package emacs. Full text available.

Message received at 5833 <at> debbugs.gnu.org:


Received: (at 5833) by debbugs.gnu.org; 4 Apr 2010 06:00:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 04 02:00:22 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NyIsg-0003j7-GP
	for submit <at> debbugs.gnu.org; Sun, 04 Apr 2010 02:00:22 -0400
Received: from mtaout20.012.net.il ([80.179.55.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1NyIsd-0003j2-VE
	for 5833 <at> debbugs.gnu.org; Sun, 04 Apr 2010 02:00:21 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0L0C00K008HRRI00@HIDDEN> for
	5833 <at> debbugs.gnu.org; Sun, 04 Apr 2010 09:00:15 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.124.92.42]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L0C00IPR8O8H060@HIDDEN>;
	Sun, 04 Apr 2010 09:00:15 +0300 (IDT)
Date: Sun, 04 Apr 2010 09:00:12 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow
In-reply-to: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Mathias Dahl <mathias.dahl@HIDDEN>
Message-id: <8339zb21w3.fsf@HIDDEN>
References: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN>
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 5833
Cc: 5833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.7 (-)

> From: Mathias Dahl <mathias.dahl@HIDDEN>
> Date: Sat, 3 Apr 2010 23:16:48 +0200
> Cc: 
> 
> emacs -Q
> C-x C-f //some_server/some_share/ RET
> Then, on some file in Dired, opened a file with f or RET.
> 
> This operation is much slower than the same operation done using
> Notepad. For a file about 80 KB in size it takes about one second in
> Notepad and 5-6 seconds in Emacs.

Does it help to set w32-get-true-file-attributes to a nil value?

Also, is this a regression in the last pretest?  IOW, when was the
last time you tried visiting files on that remote file system and it
was much faster than what you see now with 23.1.94?

Thanks.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5833; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Apr 2010 21:35:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 03 17:35:05 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NyAzh-0007jZ-1G
	for submit <at> debbugs.gnu.org; Sat, 03 Apr 2010 17:35:05 -0400
Received: from mail.gnu.org ([199.232.76.166] helo=mx10.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <mathias.dahl@HIDDEN>) id 1NyAiV-0007cT-2Z
	for submit <at> debbugs.gnu.org; Sat, 03 Apr 2010 17:17:19 -0400
Received: from lists.gnu.org ([199.232.76.165]:53940)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <mathias.dahl@HIDDEN>) id 1NyAiQ-0003AO-QK
	for submit <at> debbugs.gnu.org; Sat, 03 Apr 2010 17:17:14 -0400
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1NyAiQ-0004zZ-E3
	for bug-gnu-emacs@HIDDEN; Sat, 03 Apr 2010 17:17:14 -0400
Received: from [140.186.70.92] (port=60649 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1NyAiO-0004z4-Dv
	for bug-gnu-emacs@HIDDEN; Sat, 03 Apr 2010 17:17:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.0 (2010-01-18) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	T_DKIM_INVALID,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.0
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <mathias.dahl@HIDDEN>) id 1NyAiM-0005n4-6R
	for bug-gnu-emacs@HIDDEN; Sat, 03 Apr 2010 17:17:12 -0400
Received: from mail-ww0-f41.google.com ([74.125.82.41]:56701)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <mathias.dahl@HIDDEN>) id 1NyAiM-0005ms-0g
	for bug-gnu-emacs@HIDDEN; Sat, 03 Apr 2010 17:17:10 -0400
Received: by wwf26 with SMTP id 26so63747wwf.0
	for <bug-gnu-emacs@HIDDEN>; Sat, 03 Apr 2010 14:17:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:received:from:date:received
	:message-id:subject:to:content-type:content-transfer-encoding;
	bh=Xiu/PqR5yMTLZZ6nUq4+G9VY2KivJOE4D5sO/EeW1tQ=;
	b=pgflOqRDNN2A3kQ6CmPppKjNnsPAop35d2UteRpRIAGALJW2uu1x1JnHhQl0uu3w6Y
	K4ECDCJ73HKaocqUeILY8sz2DVPw4gb810pTQxjCvsyqt30fH1uQQRyL52Kd7hh86yw6
	MINIGKh0j9quXBxKvnj+Xo+WJz7p68/PvhgWQ=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:from:date:message-id:subject:to:content-type
	:content-transfer-encoding;
	b=aUANUfbGUNxlz/AIzZpL8Otr6Ig8Y5qmIE4d1mLmGvCxFg6Xb8sMyLTIoKHr06lr/y
	Jw/rNwzdnmCdoW7wr5SkshInwbqpAmuFGw61Bosli/eYqolX36GDYJZEKq5WxRKgm9Fs
	HwkqhKEZ0BRcW+M61iNe9+yK5i+8HnvGiToLw=
MIME-Version: 1.0
Received: by 10.216.171.139 with HTTP; Sat, 3 Apr 2010 14:16:48 -0700 (PDT)
From: Mathias Dahl <mathias.dahl@HIDDEN>
Date: Sat, 3 Apr 2010 23:16:48 +0200
Received: by 10.216.89.195 with SMTP id c45mr2231243wef.98.1270329428167; Sat, 
	03 Apr 2010 14:17:08 -0700 (PDT)
Message-ID: <u2k7dbe73ed1004031416k4d679d1qe67a9c44b93e9beb@HIDDEN>
Subject: 23.1.94; Opening files on network shares on w32 is slow
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 03 Apr 2010 17:35:04 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.6 (----)

This bug report will be sent to the Free Software Foundation,
not to your local site managers!
Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the bug-gnu-emacs@HIDDEN mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug.  If you can, give
a recipe starting from `emacs -Q':

I did this:

emacs -Q
C-x C-f //some_server/some_share/ RET
Then, on some file in Dired, opened a file with f or RET.

This operation is much slower than the same operation done using
Notepad. For a file about 80 KB in size it takes about one second in
Notepad and 5-6 seconds in Emacs.

I have tried some tips found in old threads about this, like turning off
some vc-parameter and some parameter controlling whether extra
properties should be fetched (or something like that) for shares. No
effect though. Opening local files is blazingly fast.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
d:/pgm/emacs/etc/DEBUG.


In GNU Emacs 23.1.94.1 (i386-mingw-nt5.1.2600)
 of 2010-03-23 on G41R2F1
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags
-Ic:/imagesupport/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: SVE
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Dired by name

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-f C-y <return> <down> <down> <down> <return>
<down-mouse-1> <mouse-1> M-: C-y <return> q M-: C-y
<home> <right> <right> <right> <right> q <end> <return>
C-x k <return> <up> <up> <return> <f5> <down> <up>
<down> C-x k <return> M-x f i n d SPC f i l <tab> SPC
l i <tab> <return> 5 1 0 0 <tab> <return> C-x k <return>
<help-echo> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> C C-a C-k c =D6 - <backspace> <backspace>
: / m u u . t x t <return> C-x C-f <up> <return> <f5>
<down> <up> C-x k <return> C-h c f f C-x k <return>
<lwindow> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <menu-bar> <help-menu> <se
nd-emacs-bug-report>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Entering debugger...
Back to top level.
nil
Copy: 1 of 1
Copy: 1 file
f runs the command dired-find-file

Load-path shadows:
None found.

Features:
(shadow sort mail-extr message ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1
hex-util hashcash mail-utils emacsbug dired-aux help-mode easymenu view
debug dired regexp-opt tooltip ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 disp-table ls-lisp w32-win w32-vars tool-bar dnd fontset
image fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mldrag mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev loaddefs button minibuffer faces cus-face files
text-properties overlay md5 base64 format env code-pages mule custom
widget hashtable-print-readable backquote make-network-process multi-tty
emacs)





Acknowledgement sent to Mathias Dahl <mathias.dahl@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5833; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.